#import hal
#import glib
#import time

import gtk, sys, cairo
from math import pi

#from inspect import stack

debug = 1

class HandlerClass:
    '''
    class with gladevcp callback handlers
    '''
    
    def on_expose(self,widget,data=None):
        print "on_expose"
        cr = widget.window.cairo_create()
        
        # Sets the operator to clear which deletes everything below where an object is drawn
        cr.set_operator(cairo.OPERATOR_CLEAR)
        # Makes the mask fill the entire window
        cr.rectangle(0.0, 0.0, *widget.get_size())
        # Deletes everything in the window (since the compositing operator is clear and mask fills the entire window
        cr.fill()
        # Set the compositing operator back to the default
        cr.set_operator(cairo.OPERATOR_OVER)
        
	w, h = widget.get_size()

        # Draw a fancy little circle for demonstration purpose
        #cr.set_source_rgba(0.5,1.0,0.0,1)
        #cr.arc(w/2, h/2, w/2, 0, pi*2)
        #cr.fill()

	img = cairo.ImageSurface.create_from_png('vortex.me.png')
	cr.set_source_surface(img, 0, 0)
	cr.paint()



    def __init__(self, halcomp,builder,useropts):

        self.builder = builder
        win = self.builder.get_object("window1")
        #win.set_decorated(False)

        # Makes the window paintable, so we can draw directly on it
        win.set_app_paintable(True)
        win.set_size_request(200, 200)

        # This sets the windows colormap, so it supports transparency.
        # This will only work if the wm support alpha channel
        screen = win.get_screen()
        rgba = screen.get_rgba_colormap()
        win.set_colormap(rgba)


def get_handlers(halcomp,builder,useropts):

    return [HandlerClass(halcomp,builder,useropts)]
